import { Candidate } from '../../candidate';
import { Processor } from '../processor.abstract';

export abstract class Completer extends Processor {
  execute = (candidates: Array<Candidate>): Array<Candidate> =>
    this.complete(candidates);

  abstract complete(candidates: Array<Candidate>): Array<Candidate>;
}
