import { Candidate } from '../../candidate';
import { Processor } from '../processor.abstract';

export abstract class Filter extends Processor {
  execute = (candidates: Array<Candidate>): Array<Candidate> =>
    this.filter(candidates);

  abstract filter(candidates: Array<Candidate>): Array<Candidate>;
}
